/* ------------------------------------------------------------------
  Main SearchWP Styles
 ------------------------------------------------------------------- */
/* stylelint-disable scss/comment-no-empty */
/* stylelint-disable-next-line no-duplicate-selectors */
div.searchwp-live-search-results {
  --wld--scrollbar--background-color: hsl(var(--wld-color-background-200));
  -webkit-clip-path: polygon(2px 2px, 100% 2px, 100% 100%, 0 100%);
          clip-path: polygon(2px 2px, 100% 2px, 100% 100%, 0 100%);
  position: absolute;
  z-index: 999995;
  display: none;
  height: 0;
  padding: 20px 0;
  overflow: hidden;
  background-color: hsl(var(--wld-color-background-200));
  border-radius: var(--wld-border-radius);
  -webkit-box-shadow: none;
          box-shadow: none;
  opacity: 0;
  -webkit-transition: opacity 0.25s var(--wld-transition-easing);
  -o-transition: opacity 0.25s var(--wld-transition-easing);
  transition: opacity 0.25s var(--wld-transition-easing);
}
@media (max-width: 571.98px) {
  div.searchwp-live-search-results {
    bottom: 0;
  }
}
div.searchwp-live-search-results::after {
  padding: 20px 20px 0;
}
div.searchwp-live-search-results:focus:not(:focus-visible) {
  outline: none;
}
div.searchwp-live-search-results.searchwp-live-search-results-showing.searchwp-live-search-results {
  display: block;
  height: auto;
  overflow: auto;
  opacity: 1;
}
div.searchwp-live-search-results.searchwp-live-search-no-min-chars::after {
  display: block;
  padding: 2em 2em 0;
  text-align: center;
  content: "Continue typing";
}
div.searchwp-live-search-results .searchwp-live-search-no-results {
  padding: 3em 2em 0;
  text-align: center;
}
div.searchwp-live-search-results .spinner {
  display: -webkit-box;
  display: -ms-flexbox;
  display: flex;
  -webkit-box-align: center;
      -ms-flex-align: center;
          align-items: center;
  -webkit-box-pack: center;
      -ms-flex-pack: center;
          justify-content: center;
  min-width: 32px;
  height: 32px;
  margin-top: -16px;
  margin-left: -16px;
}
div.searchwp-live-search-results .spinner::before {
  -webkit-mask-image: var(--wld--icon--spinner);
          mask-image: var(--wld--icon--spinner);
  -webkit-mask-size: 100%;
          mask-size: 100%;
  -webkit-mask-repeat: no-repeat;
          mask-repeat: no-repeat;
  display: block;
  width: 100%;
  height: 100%;
  content: "";
  background-color: hsl(var(--wld-color-title));
  -webkit-animation: wld-loading-spinner 0.7s infinite linear;
          animation: wld-loading-spinner 0.7s infinite linear;
}
div.searchwp-live-search-results .spinner > div {
  display: none;
}

.wld-searchwp-live-search-result + .wld-searchwp-live-search-result {
  margin-top: 10px;
}

div.searchwp-live-search-result:nth-child(odd) a > img {
  -webkit-clip-path: polygon(0 0, 100% 2px, 100% calc(100% - 2px), 0 100%);
          clip-path: polygon(0 0, 100% 2px, 100% calc(100% - 2px), 0 100%);
}
div.searchwp-live-search-result:nth-child(even) a > img {
  -webkit-clip-path: polygon(0 2px, 100% 0, 100% 100%, 0 calc(100% - 2px));
          clip-path: polygon(0 2px, 100% 0, 100% 100%, 0 calc(100% - 2px));
}
div.searchwp-live-search-result a {
  position: relative;
  display: -webkit-box;
  display: -ms-flexbox;
  display: flex;
  -ms-flex-wrap: wrap;
      flex-wrap: wrap;
  -webkit-box-align: center;
      -ms-flex-align: center;
          align-items: center;
  padding: 10px 20px;
  overflow: initial;
  color: hsl(var(--wld-color-title));
  white-space: initial;
  background-color: transparent;
  -webkit-transition: color var(--wld-transition-duration) var(--wld-transition-easing), background-color var(--wld-transition-duration) var(--wld-transition-easing);
  -o-transition: color var(--wld-transition-duration) var(--wld-transition-easing), background-color var(--wld-transition-duration) var(--wld-transition-easing);
  transition: color var(--wld-transition-duration) var(--wld-transition-easing), background-color var(--wld-transition-duration) var(--wld-transition-easing);
}
div.searchwp-live-search-result a > img {
  -webkit-box-flex: 0;
      -ms-flex: 0 0 auto;
          flex: 0 0 auto;
  max-width: 100%;
}
@media (min-width: 572px) {
  div.searchwp-live-search-result a > img {
    width: 60px;
    height: 60px;
    margin-right: 30px;
  }
}
@media (max-width: 571.98px) {
  div.searchwp-live-search-result a > img {
    width: 46px;
    height: 46px;
    margin-right: 20px;
  }
}
div.searchwp-live-search-result a:hover, div.searchwp-live-search-result a:focus {
  color: var(--wld-color-brand);
  background-color: hsl(var(--wld-color-background-300));
}
div.searchwp-live-search-result .wld-searchwp-live-search-result-wrapper {
  -ms-flex-preferred-size: 0;
      flex-basis: 0;
  -webkit-box-flex: 1;
      -ms-flex-positive: 1;
          flex-grow: 1;
  max-width: 100%;
  display: -webkit-box;
  display: -ms-flexbox;
  display: flex;
}
@media (min-width: 572px) {
  div.searchwp-live-search-result .wld-searchwp-live-search-result-wrapper {
    -webkit-box-align: center;
        -ms-flex-align: center;
            align-items: center;
  }
}
@media (max-width: 571.98px) {
  div.searchwp-live-search-result .wld-searchwp-live-search-result-wrapper {
    -webkit-box-orient: vertical;
    -webkit-box-direction: normal;
        -ms-flex-direction: column;
            flex-direction: column;
  }
}
div.searchwp-live-search-result .wld-searchwp-live-search-result-title {
  -ms-flex-preferred-size: 0;
      flex-basis: 0;
  -webkit-box-flex: 1;
      -ms-flex-positive: 1;
          flex-grow: 1;
  max-width: 100%;
  display: -webkit-box;
  display: -ms-flexbox;
  display: flex;
  font-size: var(--wld--font-size--medium);
}
@media (min-width: 572px) {
  div.searchwp-live-search-result .wld-searchwp-live-search-result-title {
    margin-right: 20px;
  }
}
div.searchwp-live-search-result .wld-searchwp-live-search-result-type {
  display: block;
  font-size: var(--wld--font-size--small);
}
@media (min-width: 572px) {
  div.searchwp-live-search-result .wld-searchwp-live-search-result-type {
    -webkit-box-flex: 0;
        -ms-flex: 0 0 auto;
            flex: 0 0 auto;
    max-width: 100%;
    padding: 3.5px 5px;
    margin-left: auto;
    color: hsl(var(--wld-color-white));
    background-color: var(--wld-color-brand);
  }
}
@media (max-width: 571.98px) {
  div.searchwp-live-search-result .wld-searchwp-live-search-result-type {
    -webkit-box-flex: 0;
        -ms-flex: 0 0 100%;
            flex: 0 0 100%;
    max-width: 100%;
    margin-top: var(--wld--vertical-rhythm--medium);
    color: var(--wld-color-brand);
  }
}